Puppet Class: varnish::packages

Defined in:
modules/varnish/manifests/packages.pp

Overview

Parameters:

  • version (Any) (defaults to: 'installed')


1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
# File 'modules/varnish/manifests/packages.pp', line 1

class varnish::packages($version='installed') {
    package { [
        'varnish',
        'varnish-dbg',
        'libvarnishapi1',
        ]:
        ensure  => $version,
    }

    # Install VMODs
    package { [
        'varnish-modules',
        'libvmod-netmapper',
        'libvmod-re2',
        'libvmod-tbf',
        ]:
        ensure  => 'installed',
    }
}